Skip to main content

List frozen open channels

Retrieve the list of frozen open channels for the current App Key.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/open-channel/freeze-list/get

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
pageSizeNumberNoNumber of results per page. Default: 50. Maximum: 1,000.
pageNumberNoPage number (1-based). Default: 1.

Request example

HTTP
POST /v4/open-channel/freeze-list/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1592295337000
Signature: ef03d19bb860b4e90ce7bd5f50652a744bc2ce92
Content-Type: application/json

{
"pageSize": 50,
"page": 1
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.
resultObjectResult data.
result.channelIdsString[]Array of frozen open channel IDs.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"channelIds": ["123", "234"]
}
}